# std::experimental::observer_ptr<W>::get

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr element_type* get() const noexcept; |  | (library fundamentals TS v2)

Returns a pointer to the watched object or nullptr if no object is watched.

### Parameters

(none)

### Return value

Pointer to the watched object or nullptr if no object is watched.

### Example

| This section is incomplete Reason: no example

### See also

release | returns a pointer to the watched object and stops watching the object (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/get&oldid=98265"